| OpenCV 4.3.0 Open Source Computer Vision

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
cv::videostab::StabilizerBase Class Referenceabstract
Video Stabilization

`#include <opencv2/videostab/stabilizer.hpp>`

Inheritance diagram for cv::videostab::StabilizerBase:

## Public Member Functions
virtual | ~StabilizerBase ()
int | borderMode () const
Ptr< DeblurerBase > | deblurrer () const
bool | doCorrectionForInclusion () const
Ptr< IFrameSource > | frameSource () const
Ptr< InpainterBase > | inpainter () const
Ptr< ILog > | log () const
Ptr< IFrameSource > | maskSource () const
Ptr< ImageMotionEstimatorBase > | motionEstimator () const
int | radius () const
void | setBorderMode (int val)
void | setCorrectionForInclusion (bool val)
void | setDeblurer (Ptr< DeblurerBase > val)
void | setFrameSource (Ptr< IFrameSource > val)
void | setInpainter (Ptr< InpainterBase > val)
void | setLog (Ptr< ILog > ilog)
void | setMaskSource (const Ptr< IFrameSource > &val)
void | setMotionEstimator (Ptr< ImageMotionEstimatorBase > val)
void | setRadius (int val)
void | setTrimRatio (float val)
float | trimRatio () const

## Protected Member Functions
| StabilizerBase ()
bool | doOneIteration ()
virtual Mat | estimateMotion ()=0
virtual Mat | estimateStabilizationMotion ()=0
void | logProcessingTime ()
Mat | nextStabilizedFrame ()
virtual Mat | postProcessFrame (const Mat &frame)
void | reset ()
virtual void | setUp (const Mat &firstFrame)
void | stabilizeFrame ()

## Protected Attributes
std::vector< float > | blurrinessRates_
int | borderMode_
int | curPos_
int | curStabilizedPos_
Ptr< DeblurerBase > | deblurer_
bool | doCorrectionForInclusion_
bool | doDeblurring_
bool | doInpainting_
Mat | finalFrame_
Mat | frameMask_
std::vector< Mat > | frames_
Size | frameSize_
Ptr< IFrameSource > | frameSource_
Ptr< InpainterBase > | inpainter_
Mat | inpaintingMask_
Ptr< ILog > | log_
Ptr< IFrameSource > | maskSource_
Ptr< ImageMotionEstimatorBase > | motionEstimator_
std::vector< Mat > | motions_
Mat | preProcessedFrame_
clock_t | processingStartTime_
int | radius_
std::vector< Mat > | stabilizationMotions_
std::vector< Mat > | stabilizedFrames_
std::vector< Mat > | stabilizedMasks_
float | trimRatio_

## Constructor & Destructor Documentation

## ◆ ~StabilizerBase()

virtual cv::videostab::StabilizerBase::~StabilizerBase | ( |  | ) |
| inline virtual

## ◆ StabilizerBase()

cv::videostab::StabilizerBase::StabilizerBase | ( |  | ) |
| protected

## Member Function Documentation

## ◆ borderMode()

int cv::videostab::StabilizerBase::borderMode | ( |  | ) | const
| inline

## ◆ deblurrer()

Ptr<DeblurerBase> cv::videostab::StabilizerBase::deblurrer | ( |  | ) | const
| inline

## ◆ doCorrectionForInclusion()

bool cv::videostab::StabilizerBase::doCorrectionForInclusion | ( |  | ) | const
| inline

## ◆ doOneIteration()

bool cv::videostab::StabilizerBase::doOneIteration | ( |  | ) |
| protected

## ◆ estimateMotion()

virtual Mat cv::videostab::StabilizerBase::estimateMotion | ( |  | ) |
| protected pure virtual

Implemented in cv::videostab::TwoPassStabilizer, and cv::videostab::OnePassStabilizer.

## ◆ estimateStabilizationMotion()

virtual Mat cv::videostab::StabilizerBase::estimateStabilizationMotion | ( |  | ) |
| protected pure virtual

Implemented in cv::videostab::TwoPassStabilizer, and cv::videostab::OnePassStabilizer.

## ◆ frameSource()

Ptr<IFrameSource> cv::videostab::StabilizerBase::frameSource | ( |  | ) | const
| inline

## ◆ inpainter()

Ptr<InpainterBase> cv::videostab::StabilizerBase::inpainter | ( |  | ) | const
| inline

## ◆ log()

Ptr<ILog> cv::videostab::StabilizerBase::log | ( |  | ) | const
| inline

## ◆ logProcessingTime()

void cv::videostab::StabilizerBase::logProcessingTime | ( |  | ) |
| protected

## ◆ maskSource()

Ptr<IFrameSource> cv::videostab::StabilizerBase::maskSource | ( |  | ) | const
| inline

## ◆ motionEstimator()

Ptr<ImageMotionEstimatorBase> cv::videostab::StabilizerBase::motionEstimator | ( |  | ) | const
| inline

## ◆ nextStabilizedFrame()

Mat cv::videostab::StabilizerBase::nextStabilizedFrame | ( |  | ) |
| protected

## ◆ postProcessFrame()

virtual Mat cv::videostab::StabilizerBase::postProcessFrame | ( | const Mat & | frame | ) |
| protected virtual

Reimplemented in cv::videostab::TwoPassStabilizer, and cv::videostab::OnePassStabilizer.

## ◆ radius()

int cv::videostab::StabilizerBase::radius | ( |  | ) | const
| inline

## ◆ reset()

void cv::videostab::StabilizerBase::reset | ( |  | ) |
| protected

## ◆ setBorderMode()

void cv::videostab::StabilizerBase::setBorderMode | ( | int | val | ) |
| inline

## ◆ setCorrectionForInclusion()

void cv::videostab::StabilizerBase::setCorrectionForInclusion | ( | bool | val | ) |
| inline

## ◆ setDeblurer()

void cv::videostab::StabilizerBase::setDeblurer | ( | Ptr< DeblurerBase > | val | ) |
| inline

## ◆ setFrameSource()

void cv::videostab::StabilizerBase::setFrameSource | ( | Ptr< IFrameSource > | val | ) |
| inline

## ◆ setInpainter()

void cv::videostab::StabilizerBase::setInpainter | ( | Ptr< InpainterBase > | val | ) |
| inline

## ◆ setLog()

void cv::videostab::StabilizerBase::setLog | ( | Ptr< ILog > | ilog | ) |
| inline

## ◆ setMaskSource()

void cv::videostab::StabilizerBase::setMaskSource | ( | const Ptr< IFrameSource > & | val | ) |
| inline

## ◆ setMotionEstimator()

void cv::videostab::StabilizerBase::setMotionEstimator | ( | Ptr< ImageMotionEstimatorBase > | val | ) |
| inline

## ◆ setRadius()

void cv::videostab::StabilizerBase::setRadius | ( | int | val | ) |
| inline

## ◆ setTrimRatio()

void cv::videostab::StabilizerBase::setTrimRatio | ( | float | val | ) |
| inline

## ◆ setUp()

virtual void cv::videostab::StabilizerBase::setUp | ( | const Mat & | firstFrame | ) |
| protected virtual

Reimplemented in cv::videostab::TwoPassStabilizer, and cv::videostab::OnePassStabilizer.

## ◆ stabilizeFrame()

void cv::videostab::StabilizerBase::stabilizeFrame | ( |  | ) |
| protected

## ◆ trimRatio()

float cv::videostab::StabilizerBase::trimRatio | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ blurrinessRates_

std::vector<float> cv::videostab::StabilizerBase::blurrinessRates_
| protected

## ◆ borderMode_

int cv::videostab::StabilizerBase::borderMode_
| protected

## ◆ curPos_

int cv::videostab::StabilizerBase::curPos_
| protected

## ◆ curStabilizedPos_

int cv::videostab::StabilizerBase::curStabilizedPos_
| protected

## ◆ deblurer_

Ptr<DeblurerBase> cv::videostab::StabilizerBase::deblurer_
| protected

## ◆ doCorrectionForInclusion_

bool cv::videostab::StabilizerBase::doCorrectionForInclusion_
| protected

## ◆ doDeblurring_

bool cv::videostab::StabilizerBase::doDeblurring_
| protected

## ◆ doInpainting_

bool cv::videostab::StabilizerBase::doInpainting_
| protected

## ◆ finalFrame_

Mat cv::videostab::StabilizerBase::finalFrame_
| protected

## ◆ frameMask_

Mat cv::videostab::StabilizerBase::frameMask_
| protected

## ◆ frames_

std::vector<Mat> cv::videostab::StabilizerBase::frames_
| protected

## ◆ frameSize_

Size cv::videostab::StabilizerBase::frameSize_
| protected

## ◆ frameSource_

Ptr<IFrameSource> cv::videostab::StabilizerBase::frameSource_
| protected

## ◆ inpainter_

Ptr<InpainterBase> cv::videostab::StabilizerBase::inpainter_
| protected

## ◆ inpaintingMask_

Mat cv::videostab::StabilizerBase::inpaintingMask_
| protected

## ◆ log_

Ptr<ILog> cv::videostab::StabilizerBase::log_
| protected

## ◆ maskSource_

Ptr<IFrameSource> cv::videostab::StabilizerBase::maskSource_
| protected

## ◆ motionEstimator_

Ptr<ImageMotionEstimatorBase> cv::videostab::StabilizerBase::motionEstimator_
| protected

## ◆ motions_

std::vector<Mat> cv::videostab::StabilizerBase::motions_
| protected

## ◆ preProcessedFrame_

Mat cv::videostab::StabilizerBase::preProcessedFrame_
| protected

## ◆ processingStartTime_

clock_t cv::videostab::StabilizerBase::processingStartTime_
| protected

## ◆ radius_

int cv::videostab::StabilizerBase::radius_
| protected

## ◆ stabilizationMotions_

std::vector<Mat> cv::videostab::StabilizerBase::stabilizationMotions_
| protected

## ◆ stabilizedFrames_

std::vector<Mat> cv::videostab::StabilizerBase::stabilizedFrames_
| protected

## ◆ stabilizedMasks_

std::vector<Mat> cv::videostab::StabilizerBase::stabilizedMasks_
| protected

## ◆ trimRatio_

float cv::videostab::StabilizerBase::trimRatio_
| protected

The documentation for this class was generated from the following file:

- opencv2/videostab/stabilizer.hpp